HG-RESET(1)

NAME
hg-reset - print info for hg-fast-export restart

SYNOPSIS
hg-reset [options] [-r <repo>] -R <rev>

DESCRIPTION
Print SHA1s of latest changes per branch up to <rev> useful to reset import and restart at <rev>. If <repo> is omitted, use last hg repository as obtained from state file, GIT_DIR/hg2git-state by default.

OPTIONS

--marks=MARKSFILE
    File to read git-fast-import's marks from

--mapping=MAPPINGFILE
    File to read last run's hg-to-git SHA1 mapping

--heads=HEADSFILE
    File to read last run's git heads from

--status=STATUSFILE
    File to read status from

-r REPOURL, --repo=REPOURL
    URL of repo to import

-R REVISION, --revision=REVISION
    Revision to reset to